#!/usr/bin/env python
import mayavi
import vtk
import math

v=mayavi.mayavi()
v.root.geometry("1270x824")
v.root.update()
print v.renwin.tkwidget.winfo_width()
print v.renwin.tkwidget.winfo_height()
v.load_visualization('junk.mv')
v.renwin.ren.ResetCamera()

n=500.

for i in range (0,n,1):
        rat=i/n
        angle=2.*math.pi*rat
        dist=1.+math.cos(angle*2.)/2.
	v.renwin.camera.SetPosition(.5+dist*math.cos(angle),.5+dist*math.sin(angle),(.3+.7*(1+math.cos(angle*2.))/2.))
	v.renwin.camera.SetViewUp(0,0,1)
	v.renwin.camera.SetFocalPoint(.5,.5,.1)
	v.renwin.camera.SetClippingRange(0.001,1000)
	v.renwin.Render()
	v.renwin.save_png('./IMG/junk%d.png'%i)

#v.load_visualization('visp.mv')
#v.renwin.save_png('./junkp.png')
#v.load_visualization('visu1.mv')
#v.renwin.save_png('./junk1.png')
#v.load_visualization('visu2.mv')
#v.renwin.save_png('./junk2.png')
#v.load_visualization('visu3.mv')
#v.renwin.save_png('./junk3.png')

