#!/bin/sh

# This shel script creates a series of PNG images in the IMG directory
# from the results of a DOUAR run on grace
# it assumes that the run is in the 3DC/DOUAR_CASCADE directory
# and the output files are stored in the "DIRECTORY" directory
# it will look for "LIMIT" out put files, starting at 1

# note that it uses the create_vtk.sh script file stored on grace
# as well as the Make_png.py python script in the current directory

DIRECTORY=OUT16
LIMIT=600
arg=550
step=1

while [ "$arg" -le $LIMIT ]
do
echo DOING $arg
echo $DIRECTORY > create_vtk.in
echo $arg >> create_vtk.in
echo "n" >> create_vtk.in
./post < create_vtk.in
python Make_png_old.py
#mv junk1.png IMG1/$arg.png
#mv junk2.png IMG2/$arg.png
#mv junk3.png IMG3/$arg.png
#mv junk4.png IMG4/$arg.png
#mv junk5.png IMG5/$arg.png
#mv junk6.png IMG6/$arg.png
#mv junk7.png IMG7/$arg.png
#mv junk8.png IMG8/$arg.png
#mv junk9.png IMG9/$arg.png
mv junk.png IMG/$arg.png
echo $arg DONE
let "arg+=step"
done
